# parsl.launchers.MpiRunLauncher

class parsl.launchers.MpiRunLauncher(debug: bool = True, bash_location: str = '/bin/bash', overrides: str = '')

  Worker launcher that wraps the user’s command with the framework to launch multiple command invocations via mpirun.

  This wrapper sets the bash env variable CORES to the number of cores on the machine.

  This launcher makes the following assumptions: - mpirun is installed and can be located in $PATH - The provider makes available the $PBS_NODEFILE environment variable

  __init__(debug: bool = True, bash_location: str = '/bin/bash', overrides: str = '')

  Methods

  `__init__`([debug, bash_location, overrides]) |